#Set your working directory. If you are pasting from a windows explorer
#browser, make sure you bound the file path with " and use double // between
#folders
tool_exec <- function(in_params, out_params)
{

  if (!requireNamespace("sp", quietly = TRUE))
    install.packages("sp")
  if (!requireNamespace("mclust", quietly = TRUE))
    install.packages("mclust")
  require(mclust)
  require(sp)

  setwd("//env.gov.ab.ca//GIS//GISdata//UAR_GIS//GIS//OPS//RESOURCES//FISH//GRTS//DATA")
  rm(list = ls())
  n = 50 #write in how many random sites you want selected
  m = 15 #write in how many "contingency" random sites you want selected. This
     #can equal zero
  library(spsurvey)
  att <- read.dbf("BRAZEAU RIVER_RND_STR_ORDER.dbf") # write in the name of your 
                                  # random point shapefile and add the file
                                  # extension .dbf
  att$stratum <- rep("Study", nrow(att)) 
  dsgn <- list("Study"=list(panel=c(Base=n),
                          seltype='Equal',
                          over=m))
  set.seed(3216530) # Do not need to change. But if you keep it constant
                  #it will allow you to redo the sample and get the same sites.
  sites <- grts(design=dsgn,
              DesignID='watershed',
              SiteBegin=1, # default so can leave out
              type.frame='finite',
              src.frame='shapefile', # default so can leave out
              in.shape='BRAZEAU RIVER_RND_STR_ORDER',
              att.frame=att,
              stratum='stratum',
              mdcaty='MDCATY', 
              shapefile=TRUE,
              out.shape = 'BRAZEAU RIVER_RND_STR_ORDER_RNew', #Name your output shape file
              prjfilename= 'BRAZEAU RIVER_RND_STR_ORDER')  #Copy same name as in.shape
#Done! Go and open the new point shapefile in ArcGIS.

  cat(paste0("\n", "Done.", "\n"))

}
